import { ElementShadow } from "../element-shadow";
import { InputInterface } from "./input.interface";
import { InputProps } from "./input.props";
import { InputAbstract } from "./questions/input.abstract";
export declare class Input<T extends InputProps> extends ElementShadow {
    private inputClass;
    $$ignoreEvalProps: string[];
    props: any;
    private input?;
    constructor(inputClass: new (props: any) => InputAbstract<InputInterface>);
    init(inputProps: T): void;
    answer(value?: string | number | boolean | {
        key: string;
        name: string;
    }[]): void | undefined;
    exec(): Promise<any>;
}
