import { Scene } from './../components/scene/scene';
export declare const ClassInFileCharacter = "'";
export declare class TagsManager {
    private scene;
    modules: {
        [name: string]: any;
    };
    tags: {
        [name: string]: any;
    };
    constructor(scene: Scene);
    register(name: string, pathOfModule: string): void;
    setTag(name: string, obj: any): Promise<void>;
    getTag(name: string): Promise<any>;
    reset(): void;
    loadElementClass(name: string, scene: Scene): Promise<any>;
}
